Maven学习总结(35)——Maven项目错误 JAX-RS (REST Web Services) 2.0 can not be installed问题

版权声明:本文为博主原创文章,遵循 CC 4.0 by-sa 版权协议,转载请附上原文出处链接和本声明。
本文链接:https://zhanghaiyang.blog.csdn.net/article/details/62417778

项目problem提示错误
JAX-RS (REST Web Services) 2.0 can not be installed : One or more constraints have not been satisfied
JAX-RS (REST Web Services) 2.0 requires Java 1.7 or newer.
将pom.xml编译插件的JDK1.6改为1.7的jdk


<plugin>
<groupId>org.apache.maven.plugins</groupId>
<artifactId>maven-compiler-plugin</artifactId>
<version>3.0</version>
    <configuration>
        <source>1.7</source>
        <target>1.7</target>
    </configuration>
</plugin>

展开阅读全文

没有更多推荐了,返回首页